<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    android:layout_width="match_parent"
    android:layout_height="90dp"
    android:background="@drawable/ll_selector"
    android:orientation="vertical">

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="0dp"
        android:layout_weight="1"
        android:orientation="horizontal">

        <ImageView
            android:id="@+id/local_app_iv_icon"
            android:layout_width="80dp"
            android:layout_height="80dp"
            android:layout_gravity="center_vertical"
            android:layout_marginStart="@dimen/dp_8" />

        <LinearLayout
            android:layout_width="0dp"
            android:layout_height="80dp"
            android:layout_gravity="center_vertical"
            android:layout_marginStart="10dp"
            android:layout_weight="1"
            android:orientation="vertical">

            <TextView
                android:id="@+id/local_app_tv_name"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_gravity="center_vertical"
                android:gravity="center_vertical"
                android:singleLine="true"
                android:textColor="@color/black"
                android:textSize="17sp" />

            <TextView
                android:id="@+id/local_app_tv_company"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:singleLine="true"
                android:textSize="12sp" />

            <TextView
                android:id="@+id/local_app_version"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:singleLine="true"
                android:textSize="12sp" />

            <TextView
                android:id="@+id/local_app_install_time"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:singleLine="true"
                android:textSize="12sp" />
        </LinearLayout>

        <LinearLayout
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_gravity="center_vertical"
            android:layout_marginEnd="16dp"
            android:orientation="horizontal">

            <Button
                android:id="@+id/local_app_btn_open"
                android:layout_width="@dimen/dp_45"
                android:layout_height="@dimen/dp_20"
                android:layout_gravity="center_vertical"
                android:layout_marginEnd="10dp"
                android:background="@drawable/btn_shap_open"
                android:stateListAnimator="@null"
                android:text="打开"
                android:textColor="@color/white"
                android:visibility="visible" />

            <Button
                android:id="@+id/local_app_btn_delete"
                android:layout_width="@dimen/dp_45"
                android:layout_height="@dimen/dp_20"
                android:layout_gravity="center_vertical"
                android:layout_marginEnd="8dp"
                android:background="@drawable/btn_shap_delete"
                android:stateListAnimator="@null"
                android:text="删除"
                android:textColor="@color/black"
                android:visibility="visible" />

            <TextView
                android:id="@+id/local_app_update"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_gravity="center_vertical"
                android:layout_marginEnd="24dp"
                android:text="已安装"
                android:visibility="gone" />
        </LinearLayout>
    </LinearLayout>

    <include layout="@layout/include_line_horizontal" />
</LinearLayout>